
"use strict";

let ExecuteTrajectoryFeedback = require('./ExecuteTrajectoryFeedback.js');
let PlaceResult = require('./PlaceResult.js');
let PickupActionResult = require('./PickupActionResult.js');
let MoveGroupActionFeedback = require('./MoveGroupActionFeedback.js');
let MoveGroupResult = require('./MoveGroupResult.js');
let PlaceActionGoal = require('./PlaceActionGoal.js');
let PickupActionFeedback = require('./PickupActionFeedback.js');
let MoveGroupAction = require('./MoveGroupAction.js');
let PlaceGoal = require('./PlaceGoal.js');
let MoveGroupActionResult = require('./MoveGroupActionResult.js');
let MoveGroupGoal = require('./MoveGroupGoal.js');
let PlaceActionResult = require('./PlaceActionResult.js');
let PlaceActionFeedback = require('./PlaceActionFeedback.js');
let MoveGroupActionGoal = require('./MoveGroupActionGoal.js');
let ExecuteTrajectoryActionFeedback = require('./ExecuteTrajectoryActionFeedback.js');
let ExecuteTrajectoryGoal = require('./ExecuteTrajectoryGoal.js');
let ExecuteTrajectoryAction = require('./ExecuteTrajectoryAction.js');
let ExecuteTrajectoryActionResult = require('./ExecuteTrajectoryActionResult.js');
let PickupResult = require('./PickupResult.js');
let PickupFeedback = require('./PickupFeedback.js');
let PickupGoal = require('./PickupGoal.js');
let PickupAction = require('./PickupAction.js');
let ExecuteTrajectoryActionGoal = require('./ExecuteTrajectoryActionGoal.js');
let PlaceFeedback = require('./PlaceFeedback.js');
let PickupActionGoal = require('./PickupActionGoal.js');
let ExecuteTrajectoryResult = require('./ExecuteTrajectoryResult.js');
let MoveGroupFeedback = require('./MoveGroupFeedback.js');
let PlaceAction = require('./PlaceAction.js');
let LinkPadding = require('./LinkPadding.js');
let JointLimits = require('./JointLimits.js');
let LinkScale = require('./LinkScale.js');
let ConstraintEvalResult = require('./ConstraintEvalResult.js');
let PositionConstraint = require('./PositionConstraint.js');
let PlanningScene = require('./PlanningScene.js');
let BoundingVolume = require('./BoundingVolume.js');
let DisplayTrajectory = require('./DisplayTrajectory.js');
let GripperTranslation = require('./GripperTranslation.js');
let OrientationConstraint = require('./OrientationConstraint.js');
let MotionPlanResponse = require('./MotionPlanResponse.js');
let RobotTrajectory = require('./RobotTrajectory.js');
let AttachedCollisionObject = require('./AttachedCollisionObject.js');
let CollisionObject = require('./CollisionObject.js');
let KinematicSolverInfo = require('./KinematicSolverInfo.js');
let WorkspaceParameters = require('./WorkspaceParameters.js');
let PlanningOptions = require('./PlanningOptions.js');
let PlaceLocation = require('./PlaceLocation.js');
let AllowedCollisionEntry = require('./AllowedCollisionEntry.js');
let MoveItErrorCodes = require('./MoveItErrorCodes.js');
let MotionPlanRequest = require('./MotionPlanRequest.js');
let JointConstraint = require('./JointConstraint.js');
let PlanningSceneWorld = require('./PlanningSceneWorld.js');
let MotionPlanDetailedResponse = require('./MotionPlanDetailedResponse.js');
let OrientedBoundingBox = require('./OrientedBoundingBox.js');
let Constraints = require('./Constraints.js');
let PlanningSceneComponents = require('./PlanningSceneComponents.js');
let CostSource = require('./CostSource.js');
let PositionIKRequest = require('./PositionIKRequest.js');
let PlannerParams = require('./PlannerParams.js');
let Grasp = require('./Grasp.js');
let PlannerInterfaceDescription = require('./PlannerInterfaceDescription.js');
let TrajectoryConstraints = require('./TrajectoryConstraints.js');
let AllowedCollisionMatrix = require('./AllowedCollisionMatrix.js');
let VisibilityConstraint = require('./VisibilityConstraint.js');
let ObjectColor = require('./ObjectColor.js');
let ContactInformation = require('./ContactInformation.js');
let RobotState = require('./RobotState.js');
let DisplayRobotState = require('./DisplayRobotState.js');

module.exports = {
  ExecuteTrajectoryFeedback: ExecuteTrajectoryFeedback,
  PlaceResult: PlaceResult,
  PickupActionResult: PickupActionResult,
  MoveGroupActionFeedback: MoveGroupActionFeedback,
  MoveGroupResult: MoveGroupResult,
  PlaceActionGoal: PlaceActionGoal,
  PickupActionFeedback: PickupActionFeedback,
  MoveGroupAction: MoveGroupAction,
  PlaceGoal: PlaceGoal,
  MoveGroupActionResult: MoveGroupActionResult,
  MoveGroupGoal: MoveGroupGoal,
  PlaceActionResult: PlaceActionResult,
  PlaceActionFeedback: PlaceActionFeedback,
  MoveGroupActionGoal: MoveGroupActionGoal,
  ExecuteTrajectoryActionFeedback: ExecuteTrajectoryActionFeedback,
  ExecuteTrajectoryGoal: ExecuteTrajectoryGoal,
  ExecuteTrajectoryAction: ExecuteTrajectoryAction,
  ExecuteTrajectoryActionResult: ExecuteTrajectoryActionResult,
  PickupResult: PickupResult,
  PickupFeedback: PickupFeedback,
  PickupGoal: PickupGoal,
  PickupAction: PickupAction,
  ExecuteTrajectoryActionGoal: ExecuteTrajectoryActionGoal,
  PlaceFeedback: PlaceFeedback,
  PickupActionGoal: PickupActionGoal,
  ExecuteTrajectoryResult: ExecuteTrajectoryResult,
  MoveGroupFeedback: MoveGroupFeedback,
  PlaceAction: PlaceAction,
  LinkPadding: LinkPadding,
  JointLimits: JointLimits,
  LinkScale: LinkScale,
  ConstraintEvalResult: ConstraintEvalResult,
  PositionConstraint: PositionConstraint,
  PlanningScene: PlanningScene,
  BoundingVolume: BoundingVolume,
  DisplayTrajectory: DisplayTrajectory,
  GripperTranslation: GripperTranslation,
  OrientationConstraint: OrientationConstraint,
  MotionPlanResponse: MotionPlanResponse,
  RobotTrajectory: RobotTrajectory,
  AttachedCollisionObject: AttachedCollisionObject,
  CollisionObject: CollisionObject,
  KinematicSolverInfo: KinematicSolverInfo,
  WorkspaceParameters: WorkspaceParameters,
  PlanningOptions: PlanningOptions,
  PlaceLocation: PlaceLocation,
  AllowedCollisionEntry: AllowedCollisionEntry,
  MoveItErrorCodes: MoveItErrorCodes,
  MotionPlanRequest: MotionPlanRequest,
  JointConstraint: JointConstraint,
  PlanningSceneWorld: PlanningSceneWorld,
  MotionPlanDetailedResponse: MotionPlanDetailedResponse,
  OrientedBoundingBox: OrientedBoundingBox,
  Constraints: Constraints,
  PlanningSceneComponents: PlanningSceneComponents,
  CostSource: CostSource,
  PositionIKRequest: PositionIKRequest,
  PlannerParams: PlannerParams,
  Grasp: Grasp,
  PlannerInterfaceDescription: PlannerInterfaceDescription,
  TrajectoryConstraints: TrajectoryConstraints,
  AllowedCollisionMatrix: AllowedCollisionMatrix,
  VisibilityConstraint: VisibilityConstraint,
  ObjectColor: ObjectColor,
  ContactInformation: ContactInformation,
  RobotState: RobotState,
  DisplayRobotState: DisplayRobotState,
};
